Create a document template Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
POST /api/v1/document-template

Headers

  • X-PLANNR-ACCOUNT-UUID string
application/json

Body

  • name string Required

    The name of the document template.

Responses

  • 201 application/json
    Hide response attributes Show response attributes object
    • uuid string
    • created_at string
    • updated_at string
    • version integer
    • name string
    • required_dependants object
      Hide required_dependants attribute Show required_dependants attribute object
      • client-1 string
    • public_docx_url string
    • public_sfdt_url string
    • public_pdf_url string
    • public_preview_url string
  • 422 application/json

    Validation error

    Hide response attributes Show response attributes object
    • message string Required

      A human-readable description of the error.

    • errors object

      Validation messages keyed by the field that failed.

      Hide errors attribute Show errors attribute object
      • * array[string] Additional properties
POST /api/v1/document-template
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/document-template' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
 --data '{"name":"Client Service Agreement"}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}

# Payload
{
  "name": "Client Service Agreement"
}
Response examples (201)
[
  {
    "uuid": "a517f922-3a1e-4617-be46-02d86d0fc499",
    "created_at": "2026-08-07T15:29:25+01:00",
    "updated_at": "2026-08-07T15:29:25+01:00",
    "version": 3,
    "name": "Welcome Template",
    "required_dependants": {
      "client-1": "client"
    },
    "public_docx_url": "https://api.plannrcrm.com/document-template/fec81418-d78c-44db-af54-7a750452cb40/content/docx?plannr_account_uuid=920da67f-792c-428d-98ba-d18a727f7593",
    "public_sfdt_url": "https://api.plannrcrm.com/document-template/084f31f8-b02f-4719-a7ce-52557d17f4c5/content/sfdt?plannr_account_uuid=9b282be0-1d1c-4b3d-a5ae-6578e84ba444",
    "public_pdf_url": "https://api.plannrcrm.com/document-template/26dd56bd-4bf8-418b-8c1d-833ce4d854e0/content/pdf?plannr_account_uuid=aef4ea42-1a8a-483f-9a1b-631a4d8f95a2",
    "public_preview_url": "https://api.plannrcrm.com/document-template/6f235eef-96e7-46af-a979-19becd7cae2c/content/preview?plannr_account_uuid=8c78f3a9-fc7e-4c5d-8c8e-5cb5ce1b6061"
  }
]
Response examples (422)
{
  "message": "The given data was invalid.",
  "errors": {
    "field": [
      "The field is invalid."
    ]
  }
}